> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a crypto donation recommendation

> Creates a recommendation for donating cryptocurrency.



## OpenAPI

````yaml https://api.endaoment.org/oas-json post /v1/recommendations/grant
openapi: 3.0.0
info:
  title: Endaoment API
  description: The official Endaoment API endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v1/recommendations/grant:
    post:
      tags:
        - Recommendations
      summary: Create a crypto donation recommendation
      description: Creates a recommendation for donating cryptocurrency.
      operationId: RecommendationsController_createGrantRecommendation
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGrantRecommendationInputDto'
      responses:
        '200':
          description: Donation recommendation successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecommendationCreatedResponseDto'
        '400':
          description: Invalid input data provided
      security:
        - bearer: []
components:
  schemas:
    CreateGrantRecommendationInputDto:
      type: object
      properties:
        recommender:
          type: object
          description: The name of the grant recommender
          maxLength: 255
          example: John Doe
        purpose:
          type: string
          description: Public declaration of this grant's purpose
          maxLength: 511
          example: General operating support
        specialInstructions:
          type: string
          description: >-
            An optional, binding instruction for the use of the transferred
            assets. The receiving org must accept these instructions.
          example: Funds must be used for the specific project X.
        subprojectId:
          type: string
          description: >-
            ID of the Subproject targeted by the grant. Must be sponsored by the
            receiving organization.
          format: uuid
        shareMyEmail:
          type: boolean
          description: Whether the donor wants to share their email with the org
          example: false
        amountUsdc:
          type: string
          description: >-
            The amount in USDC for the recommendation, in the smallest currency
            unit (1000000 = 1 USD)
          example: '100000000'
        orgId:
          type: string
          description: ID of the destination organization
          format: uuid
        offsetFee:
          type: boolean
          description: Whether the advisor wants to offset the grant fee
          example: true
        collaboratingFundId:
          type: string
          description: ID of the fund that the advisor is collaborating with
          format: uuid
        uuid:
          type: string
          description: >-
            Unique identifier for the recommendation. Generated on the client
            side to ensure idempotency.
          format: uuid
      required:
        - purpose
        - amountUsdc
        - orgId
        - offsetFee
        - uuid
    RecommendationCreatedResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The recommendation id
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - id
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````